package wtf.opal.event.impl.game.chat;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.text.Text;
import wtf.opal.event.EventCancellable;

@Environment(EnvType.CLIENT)
public final class ChatReceivedEvent extends EventCancellable {
   private final Text text;
   private boolean overlay;

   public ChatReceivedEvent(Text text, boolean overlay) {
      this.text = text;
      this.overlay = overlay;
   }

   public Text getText() {
      return this.text;
   }

   public boolean isOverlay() {
      return this.overlay;
   }

   public void setOverlay(boolean overlay) {
      this.overlay = overlay;
   }
}
